> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1segmentssummary



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/segments/summary
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/segments/summary:
    post:
      tags:
        - Segments
      operationId: segments.summary
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                segment_ids:
                  type: array
                  description: UUID's of segments
                  items:
                    type: string
                    format: uuid
              required:
                - segment_ids
      responses:
        '200':
          description: '`CampaignSummaryData`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/CampaignSummaryData'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    CampaignSummaryData:
      type: object
      properties:
        contacts_total:
          type: integer
        contacts_left:
          type: integer
        avg_sms_per_contact:
          type: number
        countries_breakdown:
          type: array
          items:
            type: string
      required:
        - contacts_total
        - contacts_left
        - avg_sms_per_contact
        - countries_breakdown
      title: CampaignSummaryData
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````